Package org.eclipse.zest.core.viewers

# Interface IConnectionStyleProvider2

All Superinterfaces:
  `IConnectionStyleProvider`, `IDisposable`

public interface IConnectionStyleProvider2 extends IConnectionStyleProvider
Extend the IConnectionStyleProvider interface to provide additional methods introduced by Zest 2.x. WARNING: THIS API IS UNDER CONSTRUCTION AND SHOULD NOT BE USED

Since:
  1.12
See Also:
  - `IGraphContentProvider`
  - `IEntityStyleProvider`
@noreference
  This interface is not intended to be referenced by clients.

## Method Summary

Modifier and Type
Method
Description
`ConnectionRouter`
`getRouter(Object rel)`
Returns the connection router of the single relation.

### Methods inherited from interface org.eclipse.zest.core.viewers.IConnectionStyleProvider

`getColor, getConnectionStyle, getHighlightColor, getLineWidth, getTooltip`

### Methods inherited from interface org.eclipse.ui.services.IDisposable

`dispose`

## Method Details

### getRouter

ConnectionRouter getRouter(Object rel)
Returns the connection router of the single relation.

Parameters:
  `rel` - the relationship represented by this connection.
Returns:
  the connection router for rel. Null for default.
Since:
  1.12